{ config, pkgs, lib, ... }:
let
  cfg = config.services.vm_forgejo;
in
{
  options.services.vm_forgejo = {
    enable = lib.mkEnableOption "Enable Forgejo service";
  };
  config = lib.mkIf cfg.enable {
    age.secrets.forgejo-runner-token.file = ./secrets/forgejo-runner-token.age;
    services.gitea-actions-runner = {
      package = pkgs.forgejo-actions-runner;
      instances.default = {
        enable = true;
        name = "monolith";
        url = "https://git.le43.eu";
        tokenFile = config.age.secrets.forgejo-runner-token.path;
        labels = [
          "native:host"
        ];
      };
    };
  };
}
